Bug 493405 - FEAT RHEL6.0: Include GVFS (on fuse) support
FEAT RHEL6.0: Include GVFS (on fuse) support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Filesystem QE
: FutureFeature
Depends On:
Blocks: 534150 519828
  Show dependency treegraph
 
Reported: 2009-04-01 12:35 EDT by Matthias Clasen
Modified: 2013-03-03 19:20 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:48:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-04-01 12:35:08 EDT
The gvfs virtual filesystem framework (the successor of gnome-vfs) that is used by the GNOME deskop and other GTK+ based desktop environments is using fuse to make all of its filesystems (including things like cameras, bluetooth devices, etc) available to POSIX applications. This allows non-GNOME applications such as OpenOffice to take advantage of the gvfs functionality.

For questions about the fuse support in gvfs, contact:

Alexander Larsson  <alexl@redhat.com>
Matthias Clasen  <mclasen@redhat.com>
Comment 1 Bill Nottingham 2009-04-02 11:31:12 EDT
Given that this is in Fedora, and the only way to cause it not to ship would be to rebuild a bunch of packages to cut the dependency chain, marking as MODIFIED.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 3 Mike Gahagan 2010-09-20 14:59:28 EDT
confirmed gvfs support is included, able to mount manually by using:

/usr/libexec/gvfs-fuse-daemon /home/mpg/.gvfs

mount command output:
up00-LogVolRoot on / type ext4 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw,rootcontext="system_u:object_r:tmpfs_t:s0")
/dev/sda1 on /boot type ext4 (rw)
/dev/mapper/VolGroup00-LogVolWork on /work type ext3 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
nfsd on /proc/fs/nfsd type nfsd (rw)
gvfs-fuse-daemon on /root/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev)
gvfs-fuse-daemon on /home/mpg/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev
Comment 4 releng-rhel@redhat.com 2010-11-10 15:48:22 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.